/*
 * Copyright 2001-2007, Haiku, Inc.
 * Copyright (c) 2003-4 Kian Duffy <myob@users.sourceforge.net>
 * Parts Copyright (C) 1998,99 Kazuho Okui and Takashi Murai. 
 * Distributed under the terms of the MIT license.
 */
#include <Window.h>
#include "TermView.h"

class BRect;
class BMessage;

class TermWindow;
class TermView;

class SetTitleDlg : public BWindow
{
	public:
	
		SetTitleDlg(BRect frame, TermWindow *termWin);
		 ~SetTitleDlg ();

	private:
		virtual void	Quit (void);
		void			MessageReceived (BMessage *msg);
  
	TermWindow			*fParentWin;
	TermView			*fParentView;
	BView				*fSetTitleView;
	BTextControl 		*textCtl;
};

